#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	nasm
Version		:	2.16.01
Release		:	14.4.0.0%{?dist}
Summary		:	A portable x86 assembler which uses Intel-like syntax
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.nasm.us/pub/nasm/releasebuilds

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-%{version}-xdoc.tar.xz

#-----------------------------------------------------------------------------
%description
NASM (Netwide Assembler) is an 80x86 assembler designed for portability
and modularity. It includes a disassembler as well. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.md
%{_bindir}/%{name}
%{_bindir}/ndisasm
%{_defaultdocdir}/%{name}-%{version}/head.ps
%{_defaultdocdir}/%{name}-%{version}/opt_var.txt
%{_defaultdocdir}/%{name}-%{version}/%{name}doc.*
%{_defaultdocdir}/%{name}-%{version}/html/*.html
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/ndisasm.1.gz

#=============================================================================
%prep
%setup -q
%{__tar}						\
	--one-top-level=..				\
	-xf						\
	 %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}			\
	--localstatedir=%{_var}				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p} -p  %{buildroot}%{_defaultdocdir}/%{name}-%{version}/html
%{__cp} -a						\
	doc/html/*.html 				\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}/html
%{__cp} -a						\
	doc/*.{txt,ps,pdf}				\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#-----------------------------------------------------------------------------
%changelog
